## org.apache.batik.util
Class RunnableQueue.LockableLink

    java.lang.Object
      org.apache.batik.util.DoublyLinkedList.Node
          org.apache.batik.util.RunnableQueue.Link
              org.apache.batik.util.RunnableQueue.LockableLink

Enclosing class:
  RunnableQueue

    protected static class RunnableQueue.LockableLink

extends RunnableQueue.Link

To store a Runnable with an object waiting for him to be executed.

Constructor Summary
`RunnableQueue.LockableLink(java.lang.Runnable r)` Creates a new link.

Method Summary
`boolean` `isLocked()` Whether the link is actually locked.
`void` `lock()` Locks this link.
`void` `unlock()` unlocks this link.

Methods inherited from class org.apache.batik.util.DoublyLinkedList.Node
`getNext, getPrev, insertBefore, setNext, setPrev, unlink`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RunnableQueue.LockableLink

    public RunnableQueue.LockableLink(java.lang.Runnable r)

  Creates a new link.

Method Detail

### isLocked

    public boolean isLocked()

  Whether the link is actually locked.

### lock

    public void lock()
              throws java.lang.InterruptedException

  Locks this link.

  Throws:
    `java.lang.InterruptedException`

### unlock

    public void unlock()

  unlocks this link.

  Overrides:
    `unlock` in class `RunnableQueue.Link`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.